// FPMDlg.h : wb_[ t@C
//

#if !defined(AFX_FPMDLG_H__65BE28FD_C006_4791_8A95_44B47A9DED17__INCLUDED_)
#define AFX_FPMDLG_H__65BE28FD_C006_4791_8A95_44B47A9DED17__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DlgParam2.h"
#include "DlgParam3.h"
#include "DlgPtnEdge.h"
#include "LicenceDlg.h"

/////////////////////////////////////////////////////////////////////////////
// CFPMDlg _CAO

class CFPMDlg : public CDialog
{
// \z
public:
	CFPMDlg(CWnd* pParent = NULL);	// W̃RXgN^

// _CAO f[^
	//{{AFX_DATA(CFPMDlg)
	enum { IDD = IDD_FPM_DIALOG };
	CScrollBar	m_scrDispSize;
	CTabCtrl	m_tabParam;
	CButton	m_chkAreaScore;
	CButton	m_chkRefinePose;
	CEdit	m_editSearchNum;
	CEdit	m_editScaleMax;
	CEdit	m_editScaleMin;
	CEdit	m_editAngleMax;
	CEdit	m_editAngleMin;
	CEdit	m_editAreaScoreTh;
	CEdit	m_editRefineScoreTh;
	CEdit	m_editHiCompScoreTh;
	CEdit	m_editCompRate;
	CEdit	m_editSobelTh;
	CEdit	m_editCorrEdgeTh;
	CEdit	m_editCorrEdgeVar;
	CEdit	m_editCorrEdgeFltW;
	CEdit	m_EditResult;
	CComboBox	m_cmbSelectFilter;
	//}}AFX_DATA

	// ClassWizard ͉z֐̃I[o[Ch𐶐܂B
	//{{AFX_VIRTUAL(CFPMDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV ̃T|[g
	//}}AFX_VIRTUAL

// Cve[V
protected:
	void GetParam();
	bool fnSetParam(int);
	HICON m_hIcon;

	// eeuwRg[̕ϐ`

	IFvxDisplayEx6Ptr			m_FvxDisplayEx;			// FvxDisplayRg[
	IFvxFPMPtr					m_FvxFPM;				// FvxFPMRg[
	IFvxImagePtr				m_FvxImage1;			// FvxImageRg[
	IFvxImagePtr				m_FvxImage2;			// FvxImageRg[
	IFvxPattern4Ptr				m_FvxPattern;			// FvxPatternRg[
	IFvxROI2Ptr					m_FvxROI;				// FvxROIRg[
	IFvxVideo10Ptr				m_FvxVideo;				// FvxVideoRg[
	IFvxFileAccess2Ptr			m_FvxFileAccess;		// FvxFileAccessRg[
	IFvxPerformanceCounterPtr	m_FvxPerformanceCounter; // FvxPerformanceCounterPtrRg[

	
	CDlgParam2 dlgParam2;
	CDlgParam3 dlgParam3;
	CDlgPtnEdge dlgPtnEdge;
	// ꂽbZ[W }bv֐
	//{{AFX_MSG(CFPMDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	afx_msg void OnButtonExec();
	afx_msg void OnButtonDispCls();
	afx_msg void OnButtonEdgeDisp();
	afx_msg void OnButtonAscope();
	afx_msg void OnButtonPtnRegist();
	afx_msg void OnButtonPtnDisp();
	afx_msg void OnButtonGrab();
	afx_msg void OnButtonClsResult();
	afx_msg void OnButtonLoadImage();
	afx_msg void OnButtonMask();
	afx_msg void OnButton1PtnSave();
	afx_msg void OnButtonPtnEdge();
	afx_msg void OnButtonPtnLoad();
	afx_msg void OnSelchangeTab(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnButtonInspArea();
	afx_msg void OnButtonSaveFile();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnCheckAreaScore();
	afx_msg void OnCheckRefinePose();
	afx_msg void OnChangeEditCorrEdgeFltW();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ ͑Os̒Oɒǉ̐錾}܂B

#endif // !defined(AFX_FPMDLG_H__65BE28FD_C006_4791_8A95_44B47A9DED17__INCLUDED_)
